# neat_init_ctx

Summary.

### Syntax
```c
struct neat_ctx *neat_init_ctx();
```

### Parameters

None.

### Return values

- Returns a pointer to a newly allocated and initialized NEAT context.
- Returns `NULL` if a context could not be allocated.

### Remarks

None.

### Examples

None.

### See also

- [neat_free_ctx](neat_free_ctx.md)
- [neat_new_flow](neat_new_flow.md)
